import request from '@/utils/request'

// 查询巡查记录列表
export function listXcrecard(query) {
  return request({
    url: '/szxc/xcrecard/list',
    method: 'get',
    params: query
  })
}

// 查询巡查记录详细
export function getXcrecard(id) {
  return request({
    url: '/szxc/xcrecard/' + id,
    method: 'get'
  })
}

// 新增巡查记录
export function addXcrecard(data) {
  return request({
    url: '/szxc/xcrecard',
    method: 'post',
    data: data
  })
}

// 修改巡查记录
export function updateXcrecard(data) {
  return request({
    url: '/szxc/xcrecard',
    method: 'put',
    data: data
  })
}

// 删除巡查记录
export function delXcrecard(id) {
  return request({
    url: '/szxc/xcrecard/' + id,
    method: 'delete'
  })
}
